# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /tmp/build/80754af9/combined_recipe, last modified Wed Jun 30 06:55:46 2021
# ------------------------------------------------

package:
  name: zope.interface
  version: 5.4.0
source:
  sha256: 5dba5f530fec3f0988d83b78cc591b58c0b6eb8431a85edd1569a0539a8a5a0e
  url: https://pypi.io/packages/source/z/zope.interface/zope.interface-5.4.0.tar.gz
build:
  number: '0'
  script: /tmp/build/80754af9/zope.interface_1625036153595/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold/bin/python
    -m pip install . -vv
  string: py39h7f8727e_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.35.1 h27ae35d_9
    - binutils_linux-64 2.35.1 h454624a_30
    - gcc_impl_linux-64 7.5.0 h7105cf2_17
    - gcc_linux-64 7.5.0 h8f34230_30
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libgcc-devel_linux-64 7.5.0 hbbeae57_17
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - sysroot_linux-64 2.17 h57e8cba_10
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - ca-certificates 2021.5.25 h06a4308_1
    - certifi 2021.5.30 py39h06a4308_0
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - ncurses 6.2 he6710b0_1
    - openssl 1.1.1k h27cfd23_0
    - pip 21.1.2 py39h06a4308_0
    - python 3.9.5 h12debd9_4
    - readline 8.1 h27cfd23_0
    - setuptools 52.0.0 py39h06a4308_0
    - sqlite 3.36.0 hc218d9a_0
    - tk 8.6.10 hbc83047_0
    - tzdata 2021a h52ac0ba_0
    - wheel 0.36.2 pyhd3eb1b0_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7b6447c_3
    - zope 1.0 py39h06a4308_1
  run:
    - libgcc-ng >=7.5.0
    - python >=3.9,<3.10.0a0
    - setuptools
    - zope
test:
  commands:
    - pip check
  imports:
    - zope
    - zope.interface
    - zope.interface._zope_interface_coptimizations
    - zope.interface.common
    - zope.interface.common.mapping
    - zope.interface.common.tests
    - zope.interface.tests
  requires:
    - pip
about:
  description: 'Provides an implementation of object interfaces for Python.Interfaces
    are objects

    that specify the external behavior of objects that provide them.

    '
  dev_url: https://github.com/zopefoundation/zope.interface
  doc_source_url: https://github.com/zopefoundation/zope.interface//blob/master/docs/index.rst
  doc_url: https://zopeinterface.readthedocs.io/en/latest/
  home: https://github.com/zopefoundation/zope.interface
  license: ZPL-2.1
  license_family: Other
  license_file: LICENSE.txt
  summary: Interfaces for Python
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - isuruf
    - ocefpaf
